Enable SandboxLink on cywiki
Closed, ResolvedPublic

Description

I would like to get Sandbox added to cy Wiki. Please could someone help with this?

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2017, 8:39 PM
MarcoAurelio changed the task status from Open to Stalled.
MarcoAurelio triaged this task as Low priority.
MarcoAurelio added a subscriber: MarcoAurelio.

@Jason.nlw Do you mean https://www.mediawiki.org/wiki/Extension:SandboxLink ?

In that case you need to obtain consensus at cy.wikipedia to enable the feature first. Please propose your idea at https://cy.wikipedia.org/wiki/Wicipedia:Y_Caffi or, if there's already consensus for it, please link it to us. Thanks.

Hi @Jason.nlw. For configuration change, local consensus is required according to 'Requesting wiki configuration changes'. Even if the community is small, an announcement of proposed changes is welcomed.
Could you bring up the matter on the Village pump page of your wiki (or any other appropriate place) to confirm that this change is wanted by the community, and paste the link to that discussion here?
For more information about how to request these kinds of changes, please see 'Requesting wiki configuration changes' and feel free to forward that link to others who may want similar changes made in the future. Thanks!

Thanks. I will and a link as soon as i have some community consensus

Jason.nlw closed this task as Resolved.Aug 11 2017, 5:48 PM

It seems cy Wiki already has sandbox, but just doesnt have a sandbox button. I will look into this and start again if needed

Urbanecm changed the task status from Resolved to Invalid.Aug 11 2017, 6:03 PM
Urbanecm added a subscriber: Urbanecm.

:) Every wiki has sandbox, sandbox is nothing but a user-page. Please reopen this ticket (by changing its status), clarify title (by changing it to something like "Enable SandboxLink on cy.wikipedia") and add a link to your discussion/annoucement at your wiki to the description if you decide to have this enabled.

Richard_Nevell_WMUK renamed this task from Sandbox for cy Wikipedia to Enable SandboxLink on cywiki.Aug 14 2017, 3:24 PM

Hi. We now have some community consensus - see the 'Pwll Tywod' section of this page: https://cy.wikipedia.org/wiki/Wicipedia:Y_Caffi

Just to confirm, we would like to call this 'Pwll Tywod' on cy Wiki. If any other translation work needs doing let me know and we will get it sorted.

Urbanecm reopened this task as Open.Aug 18 2017, 1:11 PM
Urbanecm claimed this task.
Restricted Application added a project: User-Urbanecm. · View Herald TranscriptAug 18 2017, 1:11 PM

Hi. We now have some community consensus - see the 'Pwll Tywod' section of this page: https://cy.wikipedia.org/wiki/Wicipedia:Y_Caffi

Just to confirm, we would like to call this 'Pwll Tywod' on cy Wiki. If any other translation work needs doing let me know and we will get it sorted.

Thank you for the link. Just to clarify:

  • You wish to have a new "Sandbox" link between Talk and Preferences
  • You wish the button to be called "Pwll Tywod"
  • You wish the button to open page named "User:UserName/Pwll Tywod"

Translation question: What is the translation of 'Adds a link to user's personal sandbox to personal tools menu'?

Change 372531 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Enable SandboxLink on cywiki

https://gerrit.wikimedia.org/r/372531

Hi. We now have some community consensus - see the 'Pwll Tywod' section of this page: https://cy.wikipedia.org/wiki/Wicipedia:Y_Caffi

Just to confirm, we would like to call this 'Pwll Tywod' on cy Wiki. If any other translation work needs doing let me know and we will get it sorted.

Thank you for the link. Just to clarify:

  • You wish to have a new "Sandbox" link between Talk and Preferences
  • You wish the button to be called "Pwll Tywod"
  • You wish the button to open page named "User:UserName/Pwll Tywod"

    Translation question: What is the translation of 'Adds a link to user's personal sandbox to personal tools menu'?

That's correct. Many thanks.

Please give me the translation of 'Adds a link to user's personal sandbox to personal tools menu' too :). Thank you!

I'm struggling with 'Personal Tools menu' does this phrase exist on en Wiki?

Ok. Well i think this is correct for this context

"Yn ychwanegu dolen at bwll tywod personol defnyddiwr i’r ddewislen offer personol"

Personal Tools menu should be the menu bar where the "Sandbox" link appears. Thank you for the translation!

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Aug 18 2017, 5:47 PM
Urbanecm moved this task from Working on to To deploy on the Wikimedia-Extension-setup board.

Seems I must wait till next MW train (for your wiki it'll be at 24 August) in order to be able to deploy the changes. AFAIK translations will appear after it. Please correct me somebody if you have better information!

Change 372531 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable SandboxLink on cywiki

https://gerrit.wikimedia.org/r/372531

Mentioned in SAL (#wikimedia-operations) [2017-08-30T13:11:08Z] <hashar@tin> Synchronized wmf-config/InitialiseSettings.php: Enable SandboxLink on cywiki - T173054 (duration: 00m 48s)

Urbanecm closed this task as Resolved.Wed, Aug 30, 1:15 PM